%define upstream_name    Log-Trace
%define upstream_version 1.070

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A guide to using Log::Trace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch: noarch


%description
A module to provide a unified approach to tracing. A script can 'use
Log::Trace qw( < mode > )' to set the behaviour of the TRACE function.

By default, the trace functions are exported to the calling package only.
You can export the trace functions to other packages with the 'Deep'
option. See the "OPTIONS" manpage for more information.

All exports are in uppercase (to minimise collisions with "real"
functions).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.70.0-11.mga9
+ Revision: 1804328
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.70.0-10.mga8
+ Revision: 1495454
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.70.0-9.mga7
+ Revision: 1269038
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.70.0-8.mga6
+ Revision: 1029442
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.70.0-7.mga6
+ Revision: 930264
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-6.mga5
+ Revision: 748890
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-5.mga5
+ Revision: 685274
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.70.0-4.mga4
+ Revision: 512667
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-3.mga3
+ Revision: 369229
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.70.0-2.mga1
+ Revision: 22581
- cleaning spec file
- imported package perl-Log-Trace

